Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.jdbc.extensions
Interface WLConnection

public interface WLConnection

Contains methods to interact with the Statement Cache

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`boolean` | `clearCallableStatement(String sql)` Clears a callable statement from the Statement Cache
`boolean` | `clearCallableStatement(String sql, int resType, int resConcurrency)` Clears a callable statement from the Statement Cache
`boolean` | `clearPreparedStatement(String sql)` Clears a prepared statement from the Statement Cache
`boolean` | `clearPreparedStatement(String sql, int resType, int resConcurrency)` Clears a prepared statement from the Statement Cache
`void` | `clearStatementCache()` Clears the statement cache.
`String` | `getPoolName()` Returns the name of the connection pool to which this connection belongs to.
`Connection` | `getVendorConnection()` Returns the underlying physical connection (the vendor connection) from a pooled database connection (a logical connection).
`void` | `setFailed()` Force this connection to be destroyed by connection pool

Method Detail

### clearCallableStatement

    public boolean clearCallableStatement(String sql)
                                   throws SQLException

  Clears a callable statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' parameter placeholders. Typically this statement is a JDBC function call escape string.
  Returns:
    true - statement found and removed from cache
    false - statement not found in cache. This is not always an erroneous condition as it can happen if statement caching is diabled, or the statement got ejected from the cache to make space for another.
  Throws:
    `SQLException` - - if a database access error occurs

### clearCallableStatement

    public boolean clearCallableStatement(String sql,
                                          int resType,
                                          int resConcurrency)
                                   throws SQLException

  Clears a callable statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' parameter placeholders. Typically this statement is a JDBC function call escape string.
  Returns:
    true - statement found and removed from cache
    false - statement not found in cache. This is not always an erroneous condition as it can happen if statement caching is diabled, or the statement got ejected from the cache to make space for another.
  Throws:
    `SQLException` - - if a database access error occurs

### clearPreparedStatement

    public boolean clearPreparedStatement(String sql)
                                   throws SQLException

  Clears a prepared statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' IN parameter placeholders
  Returns:
    true - statement found and removed from cache
    false - statement not found in cache. This is not always an erroneous condition as it can happen if statement caching is diabled, or the statement got ejected from the cache to make space for another.
  Throws:
    `SQLException` - - if a database access error occurs

### clearPreparedStatement

    public boolean clearPreparedStatement(String sql,
                                          int resType,
                                          int resConcurrency)
                                   throws SQLException

  Clears a prepared statement from the Statement Cache

  Parameters:
    `sql` - - an SQL statement that may contain one or more '?' IN parameter placeholders
  Returns:
    true - statement found and removed from cache
    false - statement not found in cache. This is not always an erroneous condition as it can happen if statement caching is diabled, or the statement got ejected from the cache to make space for another.
  Throws:
    `SQLException` - - if a database access error occurs

### clearStatementCache

    public void clearStatementCache()
                             throws SQLException

  Clears the statement cache.

  Throws:
    `SQLException` - - if a database access error occurs

### getPoolName

    public String getPoolName()

  Returns the name of the connection pool to which this connection belongs to.

### getVendorConnection

    public Connection getVendorConnection()
                                   throws SQLException

  Returns the underlying physical connection (the vendor connection) from a pooled database connection (a logical connection).

  Returns:
    java.sql.Connection
  Throws:
    `SQLException` - - if a database access error occurs

### setFailed

    public void setFailed()
                   throws SQLException

  Force this connection to be destroyed by connection pool

  Throws:
    `SQLException` - - if a connection pool error happen

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD